Aaron M. Ucko | 5 Jul 17:53 2012
Picon

Re: libhe5-hdfeos0 vs. libhdf5-openmpi-7: fails to provide?

Ivan Shmakov <oneingray <at> gmail.com> writes:

> 	It looks that while libhdf5-openmpi-7 Provides: libhdf5-7, the
> 	libhe5-hdfeos0 package somehow insists on installing the “real”
> 	libhdf5-7, thereby preventing the cdo package from being
> 	installed at the same time.

This problem arises because dpkg conservatively refuses to let provided
package names satisfy versioned dependencies.  The current hdf5
packaging accounts for that by indicating that dependent packages should
declare unversioned dependencies, but hdf-eos5 just mixed the fix.  The
next hdf5-eos upload of any sort should pick up a proper unversioned
dependency; a binary-only rebuild may be in order unless its maintainer
plans to issue another sourceful upload soon.

-- 
Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu <at> monk.mit.edu

--

-- 
To UNSUBSCRIBE, email to debian-science-request <at> lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster <at> lists.debian.org
Archive: http://lists.debian.org/udlvci28as8.fsf <at> dr-wily.mit.edu


Gmane